Index: trunk/NEMO/LIM_SRC_3/limdia.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limdia.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limdia.F90	(revision 888)
@@ -7,5 +7,5 @@
    !! 1) in lim_dia : add its definition for both hemispheres if wished
    !! 2) add the new titles in lim_dia_init
-   !!
+   !!----------------------------------------------------------------------
 #if defined key_lim3
    !!----------------------------------------------------------------------
@@ -26,4 +26,5 @@
    USE limistate
    USE dom_oce
+   USE sbc_oce         ! Surface boundary condition: ocean fields
 
    IMPLICIT NONE
@@ -73,5 +74,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limdia.F90,v 1.5 2005/03/27 18:34:41 opalod Exp $
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -107,5 +108,5 @@
        !---------------------------------------
        zday_min = 273.0        ! zday_min = date of minimum extent, here September 30th
-       zday = FLOAT(numit-nit000) * rdt_ice / ( 86400.0 * FLOAT(nfice) )
+       zday = FLOAT(numit-nit000) * rdt_ice / ( 86400.0 * FLOAT(nn_fsbc) )
        IF (zday.GT.zday_min) THEN 
           zshift_date  =  zday - zday_min
@@ -142,9 +143,9 @@
                 vinfor(31) = vinfor(31) + vt_i(ji,jj)*( u_ice(ji,jj)*u_ice(ji,jj) + & 
                                                         v_ice(ji,jj)*v_ice(ji,jj) )*aire(ji,jj)/1.0e12 
-                vinfor(53) = vinfor(53) + fsalt(ji,jj)*aire(ji,jj) / 1.0e12 !salt flux
+                vinfor(53) = vinfor(53) + emps(ji,jj)*aire(ji,jj) / 1.0e12 !salt flux
                 vinfor(55) = vinfor(55) + fsbri(ji,jj)*aire(ji,jj) / 1.0e12 !brine drainage flux
                 vinfor(57) = vinfor(57) + fseqv(ji,jj)*aire(ji,jj) / 1.0e12 !equivalent salt flux
-                vinfor(59) = vinfor(59) + sst_io(ji,jj)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SST
-                vinfor(61) = vinfor(61) + sss_io(ji,jj)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SSS
+                vinfor(59) = vinfor(59) +(sst_m(ji,jj)+rt0)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SST
+                vinfor(61) = vinfor(61) + sss_m(ji,jj)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SSS
                 vinfor(65) = vinfor(65) + et_s(ji,jj)/1.0e9*aire(ji,jj) / 1.0e12  ! snow temperature
                 vinfor(67) = vinfor(67) + et_i(ji,jj)/1.0e9*aire(ji,jj) / 1.0e12       ! ice heat content
@@ -155,5 +156,5 @@
                 vinfor(77) = vinfor(77) + v_i(ji,jj,5)*aire(ji,jj) / 1.0e12 !ice volume
                 vinfor(79) = 0.0
-                vinfor(81) = vinfor(81) + fmass(ji,jj)*aire(ji,jj) / 1.0e12 ! mass flux
+                vinfor(81) = vinfor(81) + emp(ji,jj)*aire(ji,jj) / 1.0e12 ! mass flux
              ENDIF
           END DO
@@ -293,9 +294,9 @@
                 vinfor(32) = vinfor(32) + vt_i(ji,jj)*( u_ice(ji,jj)*u_ice(ji,jj) + & 
                                                         v_ice(ji,jj)*v_ice(ji,jj) )*aire(ji,jj)/1.0e12 !ice vel
-                vinfor(54) = vinfor(54) + at_i(ji,jj)*fsalt(ji,jj)*aire(ji,jj) / 1.0e12 ! Total salt flux
+                vinfor(54) = vinfor(54) + at_i(ji,jj)*emps(ji,jj)*aire(ji,jj) / 1.0e12 ! Total salt flux
                 vinfor(56) = vinfor(56) + at_i(ji,jj)*fsbri(ji,jj)*aire(ji,jj) / 1.0e12 ! Brine drainage salt flux
                 vinfor(58) = vinfor(58) + at_i(ji,jj)*fseqv(ji,jj)*aire(ji,jj) / 1.0e12 ! Equivalent salt flux
-                vinfor(60) = vinfor(60) + sst_io(ji,jj)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SST
-                vinfor(62) = vinfor(62) + sss_io(ji,jj)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SSS
+                vinfor(60) = vinfor(60) +(sst_m(ji,jj)+rt0)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SST
+                vinfor(62) = vinfor(62) + sss_m(ji,jj)*at_i(ji,jj)*aire(ji,jj) / 1.0e12  !SSS
                 vinfor(66) = vinfor(66) + et_s(ji,jj)/1.0e9*aire(ji,jj) / 1.0e12 ! snow temperature
                 vinfor(68) = vinfor(68) + et_i(ji,jj)/1.0e9*aire(ji,jj) / 1.0e12 ! ice enthalpy
@@ -306,5 +307,5 @@
                 vinfor(78) = vinfor(78) + v_i(ji,jj,5)*aire(ji,jj) / 1.0e12 !ice volume
                 vinfor(80) = 0.0
-                vinfor(82) = vinfor(82) + fmass(ji,jj)*aire(ji,jj) / 1.0e12 ! mass flux
+                vinfor(82) = vinfor(82) + emp(ji,jj)*aire(ji,jj) / 1.0e12 ! mass flux
              ENDIF
           END DO
Index: trunk/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limdyn.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limdyn.F90	(revision 888)
@@ -16,7 +16,7 @@
    USE dom_ice
    USE dom_oce         ! ocean space and time domain
-   USE taumod
    USE ice
    USE par_ice
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE ice_oce
    USE iceini
@@ -41,6 +41,6 @@
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limdyn.F90,v 1.5 2005/03/27 18:34:41 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -90,8 +90,4 @@
       IF ( ln_limdyn ) THEN
 
-         ! ocean velocity
-         u_oce(:,:)  = u_io(:,:) * tmu(:,:)
-         v_oce(:,:)  = v_io(:,:) * tmv(:,:)
-         
          old_u_ice(:,:) = u_ice(:,:) * tmu(:,:)
          old_v_ice(:,:) = v_ice(:,:) * tmv(:,:)
@@ -162,68 +158,21 @@
          ENDIF
 
-         ! Ice-Ocean stress
-         ! ================
-         DO jj = 2, jpjm1
-            zsang  = SIGN(1.e0, gphif(1,jj-1) ) * sangvg
-
-            DO ji = fs_2, fs_jpim1
-               ! computation of wind stress over ocean in X and Y direction
-#if defined key_coupled && defined key_lim_cp1
-!              ztairx =  ( 1.0 - at_i(ji-1,jj)   ) * gtaux(ji-1,jj)   + &
-!                        ( 1.0 - at_i(ji,jj)     ) * gtaux(ji,jj  )   + &
-!                        ( 1.0 - at_i(ji-1,jj-1) ) * gtaux(ji-1,jj-1) + & 
-!                        ( 1.0 - at_i(ji,jj-1)   ) * gtaux(ji,jj-1)
-
-!              ztairy =  ( 1.0 - at_i(ji-1,jj)   ) * gtauy(ji-1,jj  ) + &
-!                        ( 1.0 - at_i(ji,jj  )   ) * gtauy(ji,jj    ) + &
-!                        ( 1.0 - at_i(ji-1,jj-1) ) * gtauy(ji-1,jj-1) + & 
-!                        ( 1.0 - at_i(ji,jj-1)   ) * gtauy(ji,jj-1)
-#else
-               ztairx =  ( 2.0 - at_i(ji,jj) - at_i(ji+1,jj) ) * gtaux(ji,jj) / cai * cao
-               ztairy =  ( 2.0 - at_i(ji,jj) - at_i(ji,jj+1) ) * gtauy(ji,jj) / cai * cao
-
-               zsfrldmx2 = at_i(ji,jj) + at_i(ji+1,jj)
-               zsfrldmy2 = at_i(ji,jj) + at_i(ji,jj+1)
-
-#endif
-               zu_ice   = u_ice(ji,jj) - u_oce(ji,jj)
-               zv_ice   = v_ice(ji,jj) - v_oce(ji,jj)
-               zmod     = SQRT( zu_ice * zu_ice + zv_ice * zv_ice ) 
-
-               ! quadratic drag formulation
-               ztglx   = zsfrldmx2 * rhoco * zmod * ( cangvg * zu_ice - zsang * zv_ice ) 
-               ztgly   = zsfrldmy2 * rhoco * zmod * ( cangvg * zv_ice + zsang * zu_ice ) 
-!
-!              ! IMPORTANT
-!              ! these lignes are bound to prevent numerical oscillations
-!              ! in the ice-ocean stress
-!              ! They are physically ill-based. There is a cleaner solution
-!              ! to try (remember discussion in Paris Gurvan)
-!
-               ztglx   = ztglx * exp( - zmod / 0.5 )
-               ztgly   = ztglx * exp( - zmod / 0.5 )
-
-               tio_u(ji,jj) = - ( ztairx + 1.0 * ztglx ) / ( 2. * rau0 )
-               tio_v(ji,jj) = - ( ztairy + 1.0 * ztgly ) / ( 2. * rau0 )
-            END DO
-         END DO
-         
          ! computation of friction velocity
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1
 
-               zu_ice   = u_ice(ji,jj) - u_io(ji,jj)
+               zu_ice   = u_ice(ji,jj) - u_oce(ji,jj)
                zt11  = rhoco * zu_ice * zu_ice
 
-               zu_ice   = u_ice(ji-1,jj) - u_io(ji-1,jj)
+               zu_ice   = u_ice(ji-1,jj) - u_oce(ji-1,jj)
                zt12  = rhoco * zu_ice * zu_ice
 
-               zv_ice   = v_ice(ji,jj) - v_io(ji,jj)
+               zv_ice   = v_ice(ji,jj) - v_oce(ji,jj)
                zt21  = rhoco * zv_ice * zv_ice
 
-               zv_ice   = v_ice(ji,jj-1) - v_io(ji,jj-1)
+               zv_ice   = v_ice(ji,jj-1) - v_oce(ji,jj-1)
                zt22  = rhoco * zv_ice * zv_ice
-               ztair2 = ( ( gtaux(ji,jj) + gtaux(ji-1,jj) ) / 2. )**2 + &
-                        ( ( gtauy(ji,jj) + gtauy(ji,jj-1) ) / 2. )**2
+               ztair2 = ( ( utaui_ice(ji,jj) + utaui_ice(ji-1,jj) ) / 2. )**2 + &
+                        ( ( vtaui_ice(ji,jj) + vtaui_ice(ji,jj-1) ) / 2. )**2
 
                ! should not be weighted
@@ -241,16 +190,6 @@
           DO jj = 2, jpjm1
              DO ji = fs_2, fs_jpim1
-#if defined key_coupled && defined key_lim_cp1
-                tio_u(ji,jj) = - (  gtaux(ji  ,jj  ) + gtaux(ji-1,jj  )       &
-                   &              + gtaux(ji-1,jj-1) + gtaux(ji  ,jj-1) ) / ( 4 * rau0 )
-
-                tio_v(ji,jj) = - (  gtauy(ji  ,jj )  + gtauy(ji-1,jj  )       &
-                   &              + gtauy(ji-1,jj-1) + gtauy(ji  ,jj-1) ) / ( 4 * rau0 )
-#else
-                tio_u(ji,jj) = - gtaux(ji,jj) / cai * cao / rau0
-                tio_v(ji,jj) = - gtauy(ji,jj) / cai * cao / rau0 
-#endif
-                ztair2 = ( ( gtaux(ji,jj) + gtaux(ji-1,jj) ) / 2. )**2 + &
-                         ( ( gtauy(ji,jj) + gtauy(ji,jj-1) ) / 2. )**2
+                ztair2 = ( ( utaui_ice(ji,jj) + utaui_ice(ji-1,jj) ) / 2. )**2 + &
+                         ( ( vtaui_ice(ji,jj) + vtaui_ice(ji,jj-1) ) / 2. )**2
                 zustm        = SQRT( ztair2  )
 
@@ -262,6 +201,4 @@
 
       CALL lbc_lnk( ust2s, 'T',  1. )   ! T-point
-      CALL lbc_lnk( tio_u, 'U', -1. )   ! I-point (i.e. ice U-V point)
-      CALL lbc_lnk( tio_v, 'V', -1. )   ! I-point (i.e. ice U-V point)
 
       IF(ln_ctl) THEN   ! Control print
@@ -269,5 +206,4 @@
          CALL prt_ctl_info(' - Cell values : ')
          CALL prt_ctl_info('   ~~~~~~~~~~~~~ ')
-         CALL prt_ctl(tab2d_1=tio_u     , clinfo1=' lim_dyn  : tio_u     :', tab2d_2=tio_v , clinfo2=' tio_v :')
          CALL prt_ctl(tab2d_1=ust2s     , clinfo1=' lim_dyn  : ust2s     :')
          CALL prt_ctl(tab2d_1=divu_i    , clinfo1=' lim_dyn  : divu_i    :')
Index: trunk/NEMO/LIM_SRC_3/limhdf.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limhdf.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limhdf.F90	(revision 888)
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limhdf.F90,v 1.5 2005/03/27 18:34:41 opalod Exp $ 
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limistate.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limistate.F90	(revision 888)
@@ -16,4 +16,5 @@
    USE oce             ! dynamics and tracers variables
    USE dom_oce
+   USE sbc_oce         ! Surface boundary condition: ocean fields
    USE par_ice         ! ice parameters
    USE ice_oce         ! ice variables
@@ -51,6 +52,6 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limistate.F90,v 1.3 2005/03/27 18:34:41 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -93,8 +94,4 @@
       CALL lim_istate_init     !  reading the initials parameters of the ice
 
-      !-- Initialisation of sst,sss,u,v do i=1,jpi
-      u_io(:,:)  = 0.e0       ! ice velocity in x direction
-      v_io(:,:)  = 0.e0       ! ice velocity in y direction
-
       ! Initialisation at tn or -2 if ice
       DO jj = 1, jpj
@@ -104,9 +101,4 @@
          END DO
       END DO
-
-      u_io  (:,:) = 0.
-      v_io  (:,:) = 0.
-      sst_io(:,:) = ( nfice - 1 ) * ( tn(:,:,1) + rt0 )   ! use the ocean initial values
-      sss_io(:,:) = ( nfice - 1 ) *   sn(:,:,1)           ! tricky trick *(nfice-1) !
 
       !--------------------------------------------------------------------
@@ -280,5 +272,5 @@
                   !---------------
                   sm_i(ji,jj,jl)   = zidto * sinn  + ( 1.0 - zidto ) * 0.1
-                  smv_i(ji,jj,jl)  = MIN( sm_i(ji,jj,jl) , sss_io(ji,jj) ) * v_i(ji,jj,jl)
+                  smv_i(ji,jj,jl)  = MIN( sm_i(ji,jj,jl) , sss_m(ji,jj) ) * v_i(ji,jj,jl)
 
                   !----------
@@ -405,5 +397,5 @@
 
                   sm_i(ji,jj,jl)   = zidto * sins  + ( 1.0 - zidto ) * 0.1
-                  smv_i(ji,jj,jl)  = MIN( sm_i(ji,jj,jl) , sss_io(ji,jj) ) * v_i(ji,jj,jl)
+                  smv_i(ji,jj,jl)  = MIN( sm_i(ji,jj,jl) , sss_m(ji,jj) ) * v_i(ji,jj,jl)
 
                   !----------
@@ -538,5 +530,4 @@
 
       CALL lbc_lnk( fsbbq  , 'T', 1. )
-      CALL lbc_lnk( sss_io , 'T', 1. )
 
    END SUBROUTINE lim_istate
Index: trunk/NEMO/LIM_SRC_3/limitd_me.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limitd_me.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limitd_me.F90	(revision 888)
@@ -20,4 +20,5 @@
    USE phycst           ! physical constants (ocean directory) 
    USE ice_oce          ! ice variables
+   USE sbc_oce          ! Surface boundary condition: ocean fields
    USE thd_ice
    USE limistate
@@ -743,5 +744,5 @@
       ! Temporal smoothing
       !--------------------
-      IF ( numit .EQ. nit000 + nfice - 1 ) THEN
+      IF ( numit .EQ. nit000 + nn_fsbc - 1 ) THEN
          strp1(:,:) = 0.0            
          strp2(:,:) = 0.0            
@@ -1194,7 +1195,7 @@
       IF ( con_i ) THEN
          CALL lim_column_sum (jpl,   v_i, vice_init )
-         WRITE(numout,*) ' vice_init  : ', vice_init(jiindex,jjindex)
+         WRITE(numout,*) ' vice_init  : ', vice_init(jiindx,jjindx)
          CALL lim_column_sum_energy (jpl, nlay_i,  e_i, eice_init )
-         WRITE(numout,*) ' eice_init  : ', eice_init(jiindex,jjindex)
+         WRITE(numout,*) ' eice_init  : ', eice_init(jiindx,jjindx)
       ENDIF
 
@@ -1363,5 +1364,5 @@
             ! Salinity
             !-------------
-            smsw(ji,jj)       = sss_io(ji,jj) * vsw(ji,jj) * ridge_por 
+            smsw(ji,jj)       = sss_m(ji,jj) * vsw(ji,jj) * ridge_por 
 
             ! salinity of new ridge
@@ -1447,7 +1448,7 @@
                                         - eirft(ji,jj,jk)
             ! sea water heat content
-            ztmelts          = - tmut * sss_io(ji,jj) + rtt
+            ztmelts          = - tmut * sss_m(ji,jj) + rtt
             ! heat content per unit volume
-            zdummy0          = - rcp * ( sst_io(ji,jj) - rtt ) * vsw(ji,jj)
+            zdummy0          = - rcp * ( sst_m(ji,jj) + rt0 - rtt ) * vsw(ji,jj)
 
             ! corrected sea water salinity
@@ -1616,12 +1617,12 @@
          fieldid = ' v_i : limitd_me '
          CALL lim_cons_check (vice_init, vice_final, 1.0e-6, fieldid) 
-         WRITE(numout,*) ' vice_init  : ', vice_init(jiindex,jjindex)
-         WRITE(numout,*) ' vice_final : ', vice_final(jiindex,jjindex)
+         WRITE(numout,*) ' vice_init  : ', vice_init(jiindx,jjindx)
+         WRITE(numout,*) ' vice_final : ', vice_final(jiindx,jjindx)
 
          CALL lim_column_sum_energy (jpl, nlay_i,  e_i, eice_final )
          fieldid = ' e_i : limitd_me '
          CALL lim_cons_check (eice_init, eice_final, 1.0e-2, fieldid) 
-         WRITE(numout,*) ' eice_init  : ', eice_init(jiindex,jjindex)
-         WRITE(numout,*) ' eice_final : ', eice_final(jiindex,jjindex)
+         WRITE(numout,*) ' eice_init  : ', eice_init(jiindx,jjindx)
+         WRITE(numout,*) ' eice_final : ', eice_final(jiindx,jjindx)
       ENDIF
 
@@ -1839,11 +1840,11 @@
 !           fresh_hist(i,j) = fresh_hist(i,j) + xtmp
 
-!           fsalt_res(ji,jj)  = fsalt_res(ji,jj) + ( sss_io(ji,jj)                  ) * & 
+!           fsalt_res(ji,jj)  = fsalt_res(ji,jj) + ( sss_m(ji,jj)                  ) * & 
 !                               rhosn * v_s(ji,jj,jl) / rdt_ice
 
-!           fsalt_res(ji,jj)  = fsalt_res(ji,jj) + ( sss_io(ji,jj) - sm_i(ji,jj,jl) ) * & 
+!           fsalt_res(ji,jj)  = fsalt_res(ji,jj) + ( sss_m(ji,jj) - sm_i(ji,jj,jl) ) * & 
 !                               rhoic * v_i(ji,jj,jl) / rdt_ice
 
-!           fsalt(i,j)      = fsalt(i,j)      + xtmp
+!           emps(i,j)      = emps(i,j)      + xtmp
 !           fsalt_hist(i,j) = fsalt_hist(i,j) + xtmp
 
Index: trunk/NEMO/LIM_SRC_3/limmsh.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limmsh.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limmsh.F90	(revision 888)
@@ -25,5 +25,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limmsh.F90,v 1.5 2005/03/27 18:34:42 opalod Exp $ 
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/LIM_SRC_3/limrhg.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limrhg.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limrhg.F90	(revision 888)
@@ -16,4 +16,5 @@
    USE dom_oce
    USE dom_ice
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE ice
    USE iceini
@@ -40,6 +41,6 @@
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-LOCEAN-IPSL (2008) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limrhg.F90,v 1.5 2005/03/27 18:34:42 opalod Exp $ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -268,19 +269,19 @@
                                           / ( e2t(ji,jj+1) + e2t(ji,jj) + epsd )
             !
-            u_oce1(ji,jj)  = u_io(ji,jj)
-            v_oce2(ji,jj)  = v_io(ji,jj)
+            u_oce1(ji,jj)  = u_oce(ji,jj)
+            v_oce2(ji,jj)  = v_oce(ji,jj)
 
             ! Ocean has no slip boundary condition
-            v_oce1(ji,jj)  = 0.5*( (v_io(ji,jj)+v_io(ji,jj-1))*e1t(ji,jj)    &
-                &                 +(v_io(ji+1,jj)+v_io(ji+1,jj-1))*e1t(ji+1,jj)) &
+            v_oce1(ji,jj)  = 0.5*( (v_oce(ji,jj)+v_oce(ji,jj-1))*e1t(ji,jj)    &
+                &                 +(v_oce(ji+1,jj)+v_oce(ji+1,jj-1))*e1t(ji+1,jj)) &
                 &               /(e1t(ji+1,jj)+e1t(ji,jj)) * tmu(ji,jj)  
 
-            u_oce2(ji,jj)  = 0.5*((u_io(ji,jj)+u_io(ji-1,jj))*e2t(ji,jj)     &
-                &                 +(u_io(ji,jj+1)+u_io(ji-1,jj+1))*e2t(ji,jj+1)) &
+            u_oce2(ji,jj)  = 0.5*((u_oce(ji,jj)+u_oce(ji-1,jj))*e2t(ji,jj)     &
+                &                 +(u_oce(ji,jj+1)+u_oce(ji-1,jj+1))*e2t(ji,jj+1)) &
                 &                / (e2t(ji,jj+1)+e2t(ji,jj)) * tmv(ji,jj)
 
             ! Wind stress.
-            ztagnx = ( 1. - zfrld1(ji,jj) ) * gtaux(ji,jj)
-            ztagny = ( 1. - zfrld2(ji,jj) ) * gtauy(ji,jj)
+            ztagnx = ( 1. - zfrld1(ji,jj) ) * utaui_ice(ji,jj)
+            ztagny = ( 1. - zfrld2(ji,jj) ) * vtaui_ice(ji,jj)
 
             ! Computation of the velocity field taking into account the ice internal interaction.
@@ -621,6 +622,6 @@
             zdummy = zindb * vt_i(ji,jj) / MAX(at_i(ji,jj) , 1.0e-06 )
             IF ( zdummy .LE. 5.0e-2 ) THEN
-               u_ice(ji,jj) = u_io(ji,jj)
-               v_ice(ji,jj) = v_io(ji,jj)
+               u_ice(ji,jj) = u_oce(ji,jj)
+               v_ice(ji,jj) = v_oce(ji,jj)
             ENDIF ! zdummy
          END DO
Index: trunk/NEMO/LIM_SRC_3/limrst.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limrst.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limrst.F90	(revision 888)
@@ -18,4 +18,6 @@
    USE dom_oce
    USE ice_oce         ! ice variables
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE daymod
    USE iom
@@ -34,5 +36,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005)
-   !! $Id:$
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -55,7 +57,7 @@
       
       ! to get better performances with NetCDF format:
-      ! we open and define the ice restart file one ice time step before writing the data (-> at nitrst - 2*nfice + 1)
-      ! except if we write ice restart files every ice time step or if an ice restart file was writen at nitend - 2*nfice + 1
-      IF( kt == nitrst - 2*nfice + 1 .OR. nstock == nfice .OR. ( kt == nitend - nfice + 1 .AND. .NOT. lrst_ice ) ) THEN
+      ! we open and define the ice restart file one ice time step before writing the data (-> at nitrst - 2*nn_fsbc + 1)
+      ! except if we write ice restart files every ice time step or if an ice restart file was writen at nitend - 2*nn_fsbc + 1
+      IF( kt == nitrst - 2*nn_fsbc + 1 .OR. nstock == nn_fsbc .OR. ( kt == nitend - nn_fsbc + 1 .AND. .NOT. lrst_ice ) ) THEN
          ! beware of the format used to write kt (default is i8.8, that should be large enough...)
          IF( nitrst > 99999999 ) THEN   ;   WRITE(clkt, *       ) nitrst
@@ -70,7 +72,7 @@
             CASE DEFAULT         ;   WRITE(numout,*) '             open ice restart NetCDF file: '//clname
             END SELECT
-            IF( kt == nitrst - 2*nfice + 1 ) THEN   
-               WRITE(numout,*)         '             kt = nitrst - 2*nfice + 1 = ', kt,' date= ', ndastp
-            ELSE   ;   WRITE(numout,*) '             kt = '                       , kt,' date= ', ndastp
+            IF( kt == nitrst - 2*nn_fsbc + 1 ) THEN   
+               WRITE(numout,*)         '             kt = nitrst - 2*nn_fsbc + 1 = ', kt,' date= ', ndastp
+            ELSE   ;   WRITE(numout,*) '             kt = '                         , kt,' date= ', ndastp
             ENDIF
          ENDIF
@@ -100,5 +102,5 @@
       !!----------------------------------------------------------------------
    
-      iter = kt + nfice - 1   ! ice restarts are written at kt == nitrst - nfice + 1
+      iter = kt + nn_fsbc - 1   ! ice restarts are written at kt == nitrst - nn_fsbc + 1
 
       IF( iter == nitrst ) THEN
@@ -111,6 +113,6 @@
       ! ------------------ 
       !                                                                        ! calendar control
-      CALL iom_rstput( iter, nitrst, numriw, 'nfice' , REAL( nfice, wp) )      ! time-step 
-      CALL iom_rstput( iter, nitrst, numriw, 'kt_ice', REAL( iter , wp) )      ! date
+      CALL iom_rstput( iter, nitrst, numriw, 'nn_fsbc', REAL( nn_fsbc, wp) )      ! time-step 
+      CALL iom_rstput( iter, nitrst, numriw, 'kt_ice' , REAL( iter , wp) )        ! date
 
       ! Prognostic variables 
@@ -158,6 +160,6 @@
       CALL iom_rstput( iter, nitrst, numriw, 'u_ice'     , u_ice      )
       CALL iom_rstput( iter, nitrst, numriw, 'v_ice'     , v_ice      )
-      CALL iom_rstput( iter, nitrst, numriw, 'gtaux'     , gtaux      )
-      CALL iom_rstput( iter, nitrst, numriw, 'gtauy'     , gtauy      )
+      CALL iom_rstput( iter, nitrst, numriw, 'utaui_ice' , utaui_ice  )
+      CALL iom_rstput( iter, nitrst, numriw, 'vtaui_ice' , vtaui_ice  )
       CALL iom_rstput( iter, nitrst, numriw, 'fsbbq'     , fsbbq      )
       CALL iom_rstput( iter, nitrst, numriw, 'stress1_i' , stress1_i  )
@@ -299,6 +301,6 @@
                WRITE(numout,*) ' ~~~ Arctic'
    
-               ji = jiindex
-               jj = jjindex
+               ji = jiindx
+               jj = jjindx
    
                WRITE(numout,*) ' ji, jj ', ji, jj
@@ -387,5 +389,5 @@
       !!----------------------------------------------------------------------
       ! Local variables
-      INTEGER :: ji, jj, jk, jl, index
+      INTEGER :: ji, jj, jk, jl, indx
       REAL(wp) ::   zfice, ziter
       REAL(wp) :: & !parameters for the salinity profile
@@ -405,6 +407,6 @@
       CALL iom_open ( 'restart_ice_in', numrir, kiolib = jprstlib )
 
-      CALL iom_get( numrir, 'nfice' , zfice )
-      CALL iom_get( numrir, 'kt_ice', ziter )    
+      CALL iom_get( numrir, 'nn_fsbc', zfice )
+      CALL iom_get( numrir, 'kt_ice' , ziter )    
       IF(lwp) WRITE(numout,*) '   read ice restart file at time step    : ', ziter
       IF(lwp) WRITE(numout,*) '   in any case we force it to nit000 - 1 : ', nit000 - 1
@@ -416,7 +418,7 @@
          &                   '   verify the file or rerun with the value 0 for the',        &
          &                   '   control of time parameter  nrstdt' )
-      IF( INT(zfice) /= nfice          .AND. ABS( nrstdt ) == 1 )   &
-         &     CALL ctl_stop( 'lim_rst_read ===>>>> : problem with nfice in ice restart',  &
-         &                   '   verify the file or rerun with the value 0 for the',        &
+      IF( INT(zfice) /= nn_fsbc          .AND. ABS( nrstdt ) == 1 )   &
+         &     CALL ctl_stop( 'lim_rst_read ===>>>> : problem with nn_fsbc in ice restart',  &
+         &                   '   verify the file or rerun with the value 0 for the',         &
          &                   '   control of time parameter  nrstdt' )
 
@@ -512,6 +514,6 @@
       CALL iom_get( numrir, jpdom_autoglo, 'u_ice'     , u_ice      )
       CALL iom_get( numrir, jpdom_autoglo, 'v_ice'     , v_ice      )
-      CALL iom_get( numrir, jpdom_autoglo, 'gtaux'     , gtaux      )
-      CALL iom_get( numrir, jpdom_autoglo, 'gtauy'     , gtauy      )
+      CALL iom_get( numrir, jpdom_autoglo, 'utaui_ice' , utaui_ice  )
+      CALL iom_get( numrir, jpdom_autoglo, 'vtaui_ice' , vtaui_ice  )
       CALL iom_get( numrir, jpdom_autoglo, 'fsbbq'     , fsbbq      )
       CALL iom_get( numrir, jpdom_autoglo, 'stress1_i' , stress1_i  )
@@ -650,5 +652,5 @@
                WRITE(numout,*) ' ~~~ Arctic'
    
-               index = 1
+               indx = 1
                ji = 24
                jj = 24
